Name: H5Pget_fapl_family
Signature:
  herr_t `H5Pget_fapl_family` ( hid_t `fapl_id`, hsize_t *`memb_size`, hid_t *`memb_fapl_id` )
Purpose:
  Returns file access property list information.
Description:
  `H5Pget_fapl_family` returns file access property list for use with the family driver. This information is returned through the output parameters.
Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t *`memb_size` | OUT: Size in bytes of each file member.
hid_t *`memb_fapl_id` | OUT: Identifier of file access property list for each family member.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_fapl_family_f

      SUBROUTINE h5pget_fapl_family_f(prp_id, imemb_size, memb_plist, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)    :: prp_id    ! Property list identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: memb_size ! Logical size, in bytes,
                                                   ! of each family member
        INTEGER(HID_T), INTENT(OUT) :: memb_plist  ! Identifier of the file
                                                   ! access property list to be
                                                   ! used for each family member
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fapl_family_f

History:

Release | C
1.4.0 | Function introduced in this release.